<?php
  /**************************************************************************\
  * phpGroupWare - Admin                                                     *
  * (http://www.phpgroupware.org)                                            *
  * Written by Bettina Gille [ceb@phpgroupware.org]                          *    
  * -----------------------------------------------                          *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
  /* $Id: deletedirectory.php,v 1.2 2001/05/11 15:01:03 milosch Exp $ */

	if ($confirm) {
		$phpgw_info["flags"] = array(
			'noheader' => True, 
			'nonavbar' => True
		);
	}

	$phpgw_info["flags"]["currentapp"] = 'dj';
	include('../header.inc.php');

	if(!$phpgw->acl->check('run',1,'admin'))
	{
		echo lang('access not permitted');
		$phpgw->common->phpgw_footer();
		$phpgw->common->phpgw_exit();

	}

	if (!$directory_id)
	{
		Header('Location: ' . $phpgw->link('/dj/directories.php'));
	}

	if ($confirm)
	{
		$phpgw->db->query("DELETE FROM phpgw_dj_directories WHERE id=" . $directory_id);
		Header('Location: ' . $phpgw->link('/dj/directories.php',"start=$start&query=$query&sort=$sort&order=$order&filter=$filter"));
	}
	else
	{
		$hidden_vars = "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n"
			. "<input type=\"hidden\" name=\"order\" value=\"$order\">\n"
			. "<input type=\"hidden\" name=\"query\" value=\"$query\">\n"
			. "<input type=\"hidden\" name=\"start\" value=\"$start\">\n"
			. "<input type=\"hidden\" name=\"filter\" value=\"$filter\">\n"
			. "<input type=\"hidden\" name=\"directory_id\" value=\"$directory_id\">\n";

		$t = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
		$t->set_file(array('directory_delete' => 'delete_common.tpl'));
		$t->set_var('messages',lang('Are you sure you want to delete this directory?'));

		$nolinkf = $phpgw->link('/dj/directories.php',"directory_id=$directory_id&start=$start&query=$query&sort=$sort&order=$order&filter=$filter");
		$nolink = "<a href=\"$nolinkf\">" . lang('No') ."</a>";
		$t->set_var('no',$nolink);

		$yeslinkf = $phpgw->link('/dj/deletedirectory.php',"directory_id=$directory_id&confirm=True");
		$yeslinkf = "<FORM method=\"POST\" name=yesbutton action=\"".$phpgw->link('/dj/deletedirectory.php') . "\">"
			. $hidden_vars
			. "<input type=hidden name=directory_id value=$directory_id>"
			. "<input type=hidden name=confirm value=True>"
			. "<input type=submit name=yesbutton value=Yes>"
			. "</FORM><SCRIPT>document.yesbutton.yesbutton.focus()</SCRIPT>";

		$yeslink = "<a href=\"$yeslinkf\">" . lang('Yes') ."</a>";
		$yeslink = $yeslinkf;
		$t->set_var('yes',$yeslink);

		$t->pparse('out','directory_delete');
	}

	$phpgw->common->phpgw_footer();
?>
